%define qtdir /usr/lib/qt3

Name: kcpuload
Version: 1.99
Release: alt2
Serial: 1

Group: Monitoring
Summary: Small applet which displays cpu time for KDE kicker

Source0: %name-%version.tar.bz2
License: GPL

# Automatically added by buildreq on Thu Apr 29 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ kde-settings kdelibs-devel libarts-devel libjpeg-devel libpng-devel libqt3-devel libstdc++-devel xml-utils zlib-devel
BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2
BuildRequires: gcc-c++ kdelibs-devel libarts-devel libjpeg-devel libpng-devel
BuildRequires: libqt3-devel libstdc++-devel xml-utils zlib-devel

%description
This is a small program for the KDE Kicker (the startmenu).
It will show the CPU usage in form of one or two configurable diagrams.
There are settings for colors and some different styles.
Note that it isn't the real system load that's shown, but the percent
used of the total CPU power, which is calculated from the number of
CPU ticks.

To bring up the settings menu, simply rightclick on the diagram.
Use a slower update interval to get a more stable and accurate
diagram without flicker.

If there are more than one CPU on the system, the total CPU usage from
both can be shown, or you can choose to have one separate diagram for
each of the CPU's.
Leftclick on the diagram to bring up a small information box which will
show the exact CPU usage in text form.

%prep
%setup -q
subst "s/\-lkdeui/-lkdeui -lpthread/g" configure
subst "s/\.la/.so/g" configure


%build
export QTDIR=%qtdir
%configure \
	--disable-rpath \
	--disable-static \
	--disable-debug \
	--program-transform-name="" \
	--enable-final

%make_build

%install
%makeinstall
mkdir -p $RPM_BUILD_ROOT/%_menudir
kdedesktop2mdkmenu.pl %name "Applications/Monitoring" %buildroot/%_datadir/applnk/System/%name.desktop %buildroot/%_menudir/%name kde

%post
%update_menus

%postun
%clean_menus

%files
%_bindir/*
%_datadir/apps/%name
%_datadir/icons/*/*/*/*
%_datadir/applnk/System/*.desktop
%_menudir/%name
%doc %_docdir/HTML/en/%name

%changelog
* Thu Apr 29 2004 Sergey V Turchin <zerg at altlinux dot org> 1:1.99-alt2
- fix build without /usr/lib/*.la

* Tue Sep 30 2003 Sergey V Turchin <zerg at altlinux dot org> 1:1.99-alt1
- new version
- fix build requires

* Thu Sep 12 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.1-alt2
- rebuild with gcc3.2

* Fri Apr 26 2002 Sergey V Turchin <zerg@altlinux.ru> 1:1.9.1-alt1
- new version
- build with KDE3

* Tue Oct 30 2001 Sergey V Turchin <zerg@altlinux.ru> 1.90-ipl6mdk
- fix BuildRequires

* Fri Oct 12 2001 Sergey V Turchin <zerg@altlinux.ru> 1.90-ipl5mdk
- rebuild with new libpng
- cleanup spec

* Fri Mar 2 2001 AEN <aen@logic.ru>
- rebuild with KDE-2.1
* Fri Dec 09 2000 AEN <aen@logic.ru>
- build for RE

* Fri Nov 17 2000 David BAUDENS <baudens@mandrakesoft.com> 1.90-2mdk
- Rebuild with gcc-2.96 & glibc-2.2

* Mon Oct  9 2000 Vincent Saugey <vince@mandrakesoft.com> 1.90-1mdk
- Firt mdk release
